package com.duolebo.blyrobot.service

import android.app.Service
import android.content.Intent
import android.os.IBinder
import com.duolebo.blyrobot.web.CaptureWebServer

class BylWebService : Service() {

    lateinit var webServer: CaptureWebServer

    override fun onCreate() {
        super.onCreate()
        webServer = CaptureWebServer(48080, this)
        webServer.start()
    }

    override fun onDestroy() {
        super.onDestroy()
        webServer.stop()
    }

    override fun onBind(intent: Intent): IBinder {
        TODO("Return the communication channel to the service.")
    }
}
